Package org.apache.sysds.runtime.compress.estim

## Class CompressedSizeInfoColGroup

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeInfoColGroup

-     public class CompressedSizeInfoColGroup
      extends Object

  Information collected about a specific ColGroup's compression size.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompressedSizeInfoColGroup​(int[] columns, int nRows)` | Create empty.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearMap()` |
    `boolean` | `containsZeros()` |
    `Map<AColGroup.CompressionType,​Long>` | `getAllCompressionSizes()` |
    `AColGroup.CompressionType` | `getBestCompressionType()` |
    `AColGroup.CompressionType` | `getBestCompressionType​(CompressionSettings cs)` |
    `double` | `getCardinalityRatio()` |
    `int[]` | `getColumns()` |
    `long` | `getCompressionSize​(AColGroup.CompressionType ct)` |
    `int` | `getLargestOffInstances()` |
    `IEncode` | `getMap()` |
    `long` | `getMinSize()` |
    `double` | `getMostCommonFraction()` |
    `int` | `getNumOffs()` | Number of offsets, or number of non zero values.
    `int` | `getNumRows()` |
    `int` | `getNumVals()` | Note cardinality is the same as number of distinct values.
    `double` | `getTupleSparsity()` |
    `boolean` | `isConst()` |
    `boolean` | `isEmpty()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompressedSizeInfoColGroup

          public CompressedSizeInfoColGroup​(int[] columns,
                                            int nRows)

      Create empty.
      Parameters:
        `columns` - columns
        `nRows` - number of rows

  - ### Method Detail

    - #### getCompressionSize

          public long getCompressionSize​(AColGroup.CompressionType ct)

    - #### getBestCompressionType

          public AColGroup.CompressionType getBestCompressionType​(CompressionSettings cs)

    - #### getBestCompressionType

          public AColGroup.CompressionType getBestCompressionType()

    - #### getAllCompressionSizes

          public Map<AColGroup.CompressionType,​Long> getAllCompressionSizes()

    - #### getMinSize

          public long getMinSize()

    - #### getNumVals

          public int getNumVals()

      Note cardinality is the same as number of distinct values.
      Returns:
        cardinality or number of distinct values.

    - #### getNumOffs

          public int getNumOffs()

      Number of offsets, or number of non zero values.
      Returns:
        Number of non zeros or number of values.

    - #### getColumns

          public int[] getColumns()

    - #### getNumRows

          public int getNumRows()

    - #### getCardinalityRatio

          public double getCardinalityRatio()

    - #### getMostCommonFraction

          public double getMostCommonFraction()

    - #### getLargestOffInstances

          public int getLargestOffInstances()

    - #### getTupleSparsity

          public double getTupleSparsity()

    - #### getMap

          public IEncode getMap()

    - #### containsZeros

          public boolean containsZeros()

    - #### isEmpty

          public boolean isEmpty()

    - #### isConst

          public boolean isConst()

    - #### clearMap

          public void clearMap()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`